services:
  papra:
    image: ghcr.io/papra-hq/papra:latest
    container_name: papra
    restart: unless-stopped
    ports:
      - 1221:1221
    environment:
      - AUTH_SECRET=${AUTH_SECRET}
      - CLIENT_BASE_URL=https://docs.peterwood.rocks
      - SERVER_BASE_URL=https://docs.peterwood.rocks
      - INGESTION_FOLDER_IS_ENABLED=true
      - INTAKE_EMAILS_IS_ENABLED=true
      - INTAKE_EMAILS_DRIVER=owlrelay
      - INTAKE_EMAILS_WEBHOOK_SECRET=${INTAKE_EMAILS_WEBHOOK_SECRET}
      - OWLRELAY_API_KEY=${OWLRELAY_API_KEY}
      - OWLRELAY_WEBHOOK_URL=https://doc.peterwood.rocks/api/intake-emails/ingest
    volumes:
      - ./app-data:/app/app-data
      - ./ingestion:/app/ingestion
    user: 1000:1000
    labels:
      - diun.enable=true
